<html devsite>
  <head>
    <title>Codenames, Tags, and Build Numbers</title>
    <meta name="project_path" value="/_project.yaml" />
    <meta name="book_path" value="/_book.yaml" />
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->



<p>Android development happens around families of releases that use code names
ordered alphabetically after tasty treats.</p>

<h2 id="platform-code-names-versions-api-levels-and-ndk-releases">Platform
Codenames, Versions, API Levels, and NDK Releases</h2>
<p>The code names match the following version numbers, along with
API levels and NDK releases provided for convenience:</p>
<table>
<thead>
<tr>
<th>Code name</th>
<th>Version</th>
<th>API level</th>
</tr>
</thead>
<tbody>
<tr>
<td>Pie</td>
<td>9</td>
<td>API level 28</td>
</tr>
<tr>
<td>Oreo</td>
<td>8.1.0</td>
<td>API level 27</td>
</tr>
<tr>
<td>Oreo</td>
<td>8.0.0</td>
<td>API level 26</td>
</tr>
<tr>
<td>Nougat</td>
<td>7.1</td>
<td>API level 25</td>
</tr>
<tr>
<td>Nougat</td>
<td>7.0</td>
<td>API level 24</td>
</tr>
<tr>
<td>Marshmallow</td>
<td>6.0</td>
<td>API level 23</td>
</tr>
<tr>
<td>Lollipop</td>
<td>5.1</td>
<td>API level 22</td>
</tr>
<tr>
<td>Lollipop</td>
<td>5.0</td>
<td>API level 21</td>
</tr>
<tr>
<td>KitKat</td>
<td>4.4 - 4.4.4</td>
<td>API level 19</td>
</tr>
<tr>
<td>Jelly Bean</td>
<td>4.3.x</td>
<td>API level 18</td>
</tr>
<tr>
<td>Jelly Bean</td>
<td>4.2.x</td>
<td>API level 17</td>
</tr>
<tr>
<td>Jelly Bean</td>
<td>4.1.x</td>
<td>API level 16</td>
</tr>
<tr>
<td>Ice Cream Sandwich</td>
<td>4.0.3 - 4.0.4</td>
<td>API level 15, NDK 8</td>
</tr>
<tr>
<td>Ice Cream Sandwich</td>
<td>4.0.1 - 4.0.2</td>
<td>API level 14, NDK 7</td>
</tr>
<tr>
<td>Honeycomb</td>
<td>3.2.x</td>
<td>API level 13</td>
</tr>
<tr>
<td>Honeycomb</td>
<td>3.1</td>
<td>API level 12, NDK 6</td>
</tr>
<tr>
<td>Honeycomb</td>
<td>3.0</td>
<td>API level 11</td>
</tr>
<tr>
<td>Gingerbread</td>
<td>2.3.3 - 2.3.7</td>
<td>API level 10</td>
</tr>
<tr>
<td>Gingerbread</td>
<td>2.3 - 2.3.2</td>
<td>API level 9, NDK 5</td>
</tr>
<tr>
<td>Froyo</td>
<td>2.2.x</td>
<td>API level 8, NDK 4</td>
</tr>
<tr>
<td>Eclair</td>
<td>2.1</td>
<td>API level 7, NDK 3</td>
</tr>
<tr>
<td>Eclair</td>
<td>2.0.1</td>
<td>API level 6</td>
</tr>
<tr>
<td>Eclair</td>
<td>2.0</td>
<td>API level 5</td>
</tr>
<tr>
<td>Donut</td>
<td>1.6</td>
<td>API level 4, NDK 2</td>
</tr>
<tr>
<td>Cupcake</td>
<td>1.5</td>
<td>API level 3, NDK 1</td>
</tr>
<tr>
<td>(no code name)</td>
<td>1.1</td>
<td>API level 2</td>
</tr>
<tr>
<td>(no code name)</td>
<td>1.0</td>
<td>API level 1</td>
</tr>
</tbody>
</table>

<p>In Android 8.0 (Oreo) and higher, individual builds are identified with the
  build ID format <strong>PVBB.YYMMDD.bbb[.Cn]</strong>, where:</p>
<ul>
  <li>P represents the first letter of the code name of the platform release,
  e.g. O is Oreo.</li>
  <li>V represents a supported vertical. By convention, P represents the primary
  platform branch.</li>
  <li>BB represents an alphanumeric code that allows Google to identify the
  exact code branch the build was made from.</li>
  <li>YYMMDD identifies the date when the release is branched from or synced
  with the development branch. It is not guaranteed to be the exact date at
  which a build was made as it is common for minor variations added to an
  existing build to re-use the same date code as the existing build.</li>
  <li>bbb identifies individual versions related to the same date code,
  sequentially starting with 001.</li>
  <li>Cn is an optional, alphanumeric that identifies a hotfix on top of an
  existing PVBB.YYMMDD.bbb build, starting from A1.</li>
</ul>

<p>Older Android releases use a different, shorter build ID code (e.g.
  <strong>FRF85B</strong>) where:</p>

<ul>
  <li>The first letter is the code name of the release family, e.g. F is Froyo.
  </li>
  <li>The second letter is a branch code that allows Google to identify the
  exact code branch the build was made from. By convention, R is the primary
  release branch.</li>
  <li>The third letter and following two digits are a date code. The letter
  counts quarters (A = Q1 2009, F = Q2 2010, etc.). The two digits count days
  within the quarter (F85 is June 24 2010). The date code is not guaranteed to
  be the exact date at which a build was made as it is common for minor
  variations added to an existing build to re-use the same date code as the
  existing build.</li>
  <li>The last letter identifies individual versions related to the same date
  code, sequentially starting with A (which is implicit and usually omitted for
  brevity.</li>
</ul>

<h2 id="source-code-tags-and-builds">Source Code Tags and Builds</h2>
<p>Starting with Donut, the exact list of tags and builds is in the
following table.

<aside class="note"><strong>Note:</strong> To download
  <a href="https://developers.google.com/android/images">factory images</a>,
  <a href="https://developers.google.com/android/drivers">drivers</a>, and full
  <a href="https://developers.google.com/android/ota">OTA</a> images for Nexus
  and Pixel devices, refer to the
  <a href="https://developers.google.com/android/">Android Developer site</a>.
</aside>


<table>
  <thead>
    <tr>
      <th>Build</th>
      <th>Branch</th>
      <th>Version</th>
      <th>Supported devices</th>
      <th>Security Patch Level</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>PPR2.181005.003.A1</td>
      <td>android-9.0.0_r18</td>
      <td>Pie</td>
      <td>Pixel XL, Pixel</td>
      <td>2018-11-01</td>
    </tr>
    <tr>
      <td>PPR1.181005.003.A1</td>
      <td>android-9.0.0_r17</td>
      <td>Pie</td>
      <td>Pixel XL, Pixel</td>
      <td>2018-11-01</td>
    </tr>
    <tr>
      <td>PQ1A.181105.017.A1</td>
      <td>android-9.0.0_r16</td>
      <td>Pie</td>
      <td>Pixel 3 XL, Pixel 3, Pixel 2 XL, Pixel 2</td>
      <td>2018-11-05</td>
    </tr>
    <tr>
      <td>PD1A.180720.031</td>
      <td>android-9.0.0_r12</td>
      <td>Pie</td>
      <td>Pixel 3 XL, Pixel 3</td>
      <td>2018-09-05</td>
    </tr>
    <tr>
      <td>PD1A.180720.030</td>
      <td>android-9.0.0_r11</td>
      <td>Pie</td>
      <td>Pixel 3 XL, Pixel 3</td>
      <td>2018-09-05</td>
    </tr>
    <tr>
      <td>PPR2.181005.003</td>
      <td>android-9.0.0_r10</td>
      <td>Pie</td>
      <td>Pixel XL, Pixel, Pixel 2 XL, Pixel 2</td>
      <td>2018-10-05</td>
    </tr>
    <tr>
      <td>PPR1.181005.003</td>
      <td>android-9.0.0_r9</td>
      <td>Pie</td>
      <td>Pixel XL, Pixel</td>
      <td>2018-10-05</td>
    </tr>
    <tr>
      <td>PPR2.180905.006.A1</td>
      <td>android-9.0.0_r8</td>
      <td>Pie</td>
      <td>Pixel XL, Pixel</td>
      <td>2018-09-05</td>
    </tr>
    <tr>
      <td>PPR2.180905.006</td>
      <td>android-9.0.0_r7</td>
      <td>Pie</td>
      <td>Pixel XL, Pixel</td>
      <td>2018-09-05</td>
    </tr>
    <tr>
      <td>PPR2.180905.005</td>
      <td>android-9.0.0_r6</td>
      <td>Pie</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2018-09-05</td>
    </tr>
    <tr>
      <td>PPR1.180905.003</td>
      <td>android-9.0.0_r5</td>
      <td>Pie</td>
      <td>Pixel XL, Pixel</td>
      <td>2018-09-05</td>
    </tr>
    <tr>
      <td>PPR1.180610.011</td>
      <td>android-9.0.0_r3</td>
      <td>Pie</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2018-08-05</td>
    </tr>
    <tr>
      <td>PPR1.180610.010</td>
      <td>android-9.0.0_r2</td>
      <td>Pie</td>
      <td>Pixel XL, Pixel</td>
      <td>2018-08-05</td>
    </tr>
    <tr>
      <td>PPR1.180610.009</td>
      <td>android-9.0.0_r1</td>
      <td>Pie</td>
      <td>Pixel 2 XL, Pixel 2, Pixel XL, Pixel</td>
      <td>2018-08-05</td>
    </tr>
    <tr>
      <td>OPM8.181105.002</td>
      <td>android-8.1.0_r51</td>
      <td>Oreo</td>
      <td>Pixel C</td>
      <td>2018-11-05</td>
    </tr>
    <tr>
      <td>OPM7.181105.004</td>
      <td>android-8.1.0_r50</td>
      <td>Oreo</td>
      <td>Nexus 5X and Nexus 6P</td>
      <td>2018-11-05</td>
    </tr>
    <tr>
      <td>OPM8.181005.003</td>
      <td>android-8.1.0_r48</td>
      <td>Oreo</td>
      <td>Pixel C</td>
      <td>2018-10-05</td>
    </tr>
    <tr>
      <td>OPM7.181005.003</td>
      <td>android-8.1.0_r47</td>
      <td>Oreo</td>
      <td>Nexus 5X and Nexus 6P</td>
      <td>2018-10-05</td>
    </tr>
    <tr>
      <td>OPM6.171019.030.K1</td>
      <td>android-8.1.0_r46</td>
      <td>Oreo</td>
      <td>Nexus 5X and Nexus 6P</td>
      <td>2018-09-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.021.Z1</td>
      <td>android-8.1.0_r45</td>
      <td>Oreo</td>
      <td>Pixel C</td>
      <td>2018-09-05</td>
    </tr>
    <tr>
      <td>OPM6.171019.030.H1</td>
      <td>android-8.1.0_r43</td>
      <td>Oreo</td>
      <td>Nexus 5X and Nexus 6P</td>
      <td>2018-08-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.021.Y1</td>
      <td>android-8.1.0_r42</td>
      <td>Oreo</td>
      <td>Pixel C</td>
      <td>2018-08-05</td>
    </tr>
    <tr>
      <td>OPM6.171019.030.E1</td>
      <td>android-8.1.0_r41</td>
      <td>Oreo</td>
      <td>Nexus 5X and Nexus 6P</td>
      <td>2018-07-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.021.R1</td>
      <td>android-8.1.0_r40</td>
      <td>Oreo</td>
      <td>Pixel 2 XL</td>
      <td>2018-07-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.021.Q1</td>
      <td>android-8.1.0_r39</td>
      <td>Oreo</td>
      <td>Pixel 2</td>
      <td>2018-07-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.021.P1</td>
      <td>android-8.1.0_r38</td>
      <td>Oreo</td>
      <td>Pixel, Pixel XL</td>
      <td>2018-07-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.021.N1</td>
      <td>android-8.1.0_r37</td>
      <td>Oreo</td>
      <td>Pixel C</td>
      <td>2018-07-05</td>
    </tr>
    <tr>
      <td>OPM2.171026.006.H1</td>
      <td>android-8.1.0_r36</td>
      <td>Oreo</td>
      <td>Pixel 2 XL</td>
      <td>2018-07-05</td>
    </tr>
    <tr>
      <td>OPM2.171026.006.G1</td>
      <td>android-8.1.0_r35</td>
      <td>Oreo</td>
      <td>Pixel 2</td>
      <td>2018-07-05</td>
    </tr>
    <tr>
      <td>OPM6.171019.030.B1</td>
      <td>android-8.1.0_r33</td>
      <td>Oreo</td>
      <td>Nexus 6P, Nexus 5X</td>
      <td>2018-06-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.021.E1</td>
      <td>android-8.1.0_r32</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2018-06-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.021.D1</td>
      <td>android-8.1.0_r31</td>
      <td>Oreo</td>
      <td>Pixel XL, Pixel</td>
      <td>2018-06-05</td>
    </tr>
    <tr>
      <td>OPM2.171026.006.C1</td>
      <td>android-8.1.0_r30</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2018-06-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.016.C1</td>
      <td>android-8.1.0_r29</td>
      <td>Oreo</td>
      <td>Pixel C</td>
      <td>2018-05-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.016.B1</td>
      <td>android-8.1.0_r28</td>
      <td>Oreo</td>
      <td>Pixel XL, Pixel, Pixel 2 XL, Pixel 2</td>
      <td>2018-05-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.016.A1</td>
      <td>android-8.1.0_r27</td>
      <td>Oreo</td>
      <td>Nexus 5X</td>
      <td>2018-05-05</td>
    </tr>
    <tr>
      <td>OPM2.171019.029.B1</td>
      <td>android-8.1.0_r26</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2018-05-05</td>
    </tr>
    <tr>
      <td>OPM2.171019.029.A1</td>
      <td>android-8.1.0_r25</td>
      <td>Oreo</td>
      <td>Nexus 6P</td>
      <td>2018-05-05</td>
    </tr>
    <tr>
      <td>OPM4.171019.015.A1</td>
      <td>android-8.1.0_r23</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2018-04-01</td>
    </tr>
    <tr>
      <td>OPM5.171019.019</td>
      <td>android-8.1.0_r22</td>
      <td>Oreo</td>
      <td>Nexus 6P</td>
      <td>2018-04-01</td>
    </tr>
    <tr>
      <td>OPM3.171019.019</td>
      <td>android-8.1.0_r21</td>
      <td>Oreo</td>
      <td>Nexus 6P</td>
      <td>2018-04-01</td>
    </tr>
    <tr>
      <td>OPM2.171019.029</td>
      <td>android-8.1.0_r20</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2, Pixel XL, Pixel, Nexus 5X</td>
      <td>2018-04-05</td>
    </tr>
    <tr>
      <td>OPM1.171019.026</td>
      <td>android-8.1.0_r19</td>
      <td>Oreo</td>
      <td>Pixel C</td>
      <td>2018-04-05</td>
    </tr>
    <tr>
      <td>OPM5.171019.017</td>
      <td>android-8.1.0_r18</td>
      <td>Oreo</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2018-03-05</td>
    </tr>
    <tr>
      <td>OPM3.171019.016</td>
      <td>android-8.1.0_r17</td>
      <td>Oreo</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2018-03-05</td>
    </tr>
    <tr>
      <td>OPM1.171019.022.A1</td>
      <td>android-8.1.0_r16</td>
      <td>Oreo</td>
      <td>Pixel C</td>
      <td>2018-03-05</td>
    </tr>
    <tr>
      <td>OPM1.171019.021</td>
      <td>android-8.1.0_r15</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2, Pixel XL, Pixel</td>
      <td>2018-03-05</td>
    </tr>
    <tr>
      <td>OPM5.171019.015</td>
      <td>android-8.1.0_r14</td>
      <td>Oreo</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2018-02-05</td>
    </tr>
    <tr>
      <td>OPM3.171019.014</td>
      <td>android-8.1.0_r13</td>
      <td>Oreo</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2018-02-05</td>
    </tr>
    <tr>
      <td>OPM1.171019.019</td>
      <td>android-8.1.0_r12</td>
      <td>Oreo</td>
      <td>Pixel 2</td>
      <td>2018-02-05</td>
    </tr>
    <tr>
      <td>OPM1.171019.018</td>
      <td>android-8.1.0_r11</td>
      <td>Oreo</td>
      <td>Pixel 2 XL</td>
      <td>2018-02-05</td>
    </tr>
    <tr>
      <td>OPM1.171019.016</td>
      <td>android-8.1.0_r10</td>
      <td>Oreo</td>
      <td>Pixel, Pixel XL, Pixel C</td>
      <td>2018-02-05</td>
    </tr>
    <tr>
      <td>OPM5.171019.014</td>
      <td>android-8.1.0_r9</td>
      <td>Oreo</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2018-01-05</td>
    </tr>
    <tr>
      <td>OPM2.171019.016</td>
      <td>android-8.1.0_r8</td>
      <td>Oreo</td>
      <td>Pixel 2</td>
      <td>2018-01-05</td>
    </tr>
    <tr>
      <td>OPM3.171019.013</td>
      <td>android-8.1.0_r7</td>
      <td>Oreo</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2018-01-05</td>
    </tr>
    <tr>
      <td>OPM1.171019.015</td>
      <td>android-8.1.0_r6</td>
      <td>Oreo</td>
      <td>Pixel C</td>
      <td>2018-01-05</td>
    </tr>
    <tr>
      <td>OPM1.171019.014</td>
      <td>android-8.1.0_r5</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2, Pixel XL, Pixel</td>
      <td>2018-01-05</td>
    </tr>
    <tr>
      <td>OPM1.171019.013</td>
      <td>android-8.1.0_r4</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2018-01-05</td>
    </tr>
    <tr>
      <td>OPM1.171019.012</td>
      <td>android-8.1.0_r3</td>
      <td>Oreo</td>
      <td>Pixel XL, Pixel</td>
      <td>2018-01-05</td>
    </tr>
    <tr>
      <td>OPM2.171019.012</td>
      <td>android-8.1.0_r2</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2017-12-05</td>
    </tr>
    <tr>
      <td>OPM1.171019.011</td>
      <td>android-8.1.0_r1</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2, Pixel XL, Pixel, Pixel C, Nexus 6P, Nexus 5X</td>
      <td>2017-12-05</td>
    </tr>
    <tr>
      <td>OPR5.170623.014</td>
      <td>android-8.0.0_r36</td>
      <td>Oreo</td>
      <td>Nexus 6P</td>
      <td>2017-12-01</td>
    </tr>
    <tr>
      <td>OPR4.170623.020</td>
      <td>android-8.0.0_r35</td>
      <td>Oreo</td>
      <td>Nexus 5X</td>
      <td>2017-12-01</td>
    </tr>
    <tr>
      <td>OPD3.170816.023</td>
      <td>android-8.0.0_r34</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2017-11-05</td>
    </tr>
    <tr>
      <td>OPD1.170816.025</td>
      <td>android-8.0.0_r33</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2017-11-05</td>
    </tr>
    <tr>
      <td>OPR6.170623.023</td>
      <td>android-8.0.0_r32</td>
      <td>Oreo</td>
      <td>Nexus 5X</td>
      <td>2017-11-05</td>
    </tr>
    <tr>
      <td>OPR5.170623.011</td>
      <td>android-8.0.0_r31</td>
      <td>Oreo</td>
      <td>Nexus 6P</td>
      <td>2017-11-05</td>
    </tr>
    <tr>
      <td>OPR3.170623.013</td>
      <td>android-8.0.0_r30</td>
      <td>Oreo</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-11-05</td>
    </tr>
    <tr>
      <td>OPR2.170623.027</td>
      <td>android-8.0.0_r29</td>
      <td>Oreo</td>
      <td>Nexus Player</td>
      <td>2017-11-05</td>
    </tr>
    <tr>
      <td>OPR1.170623.032</td>
      <td>android-8.0.0_r28</td>
      <td>Oreo</td>
      <td>Pixel XL, Pixel, Pixel C</td>
      <td>2017-11-05</td>
    </tr>
    <tr>
      <td>OPD3.170816.016</td>
      <td>android-8.0.0_r27</td>
      <td>Oreo</td>
      <td>Pixel 2</td>
      <td>2017-11-05</td>
    </tr>
    <tr>
      <td>OPD2.170816.015</td>
      <td>android-8.0.0_r26</td>
      <td>Oreo</td>
      <td>Pixel 2</td>
      <td>2017-11-05</td>
    </tr>
    <tr>
      <td>OPD1.170816.018</td>
      <td>android-8.0.0_r25</td>
      <td>Oreo</td>
      <td>Pixel 2</td>
      <td>2017-11-05</td>
    </tr>
    <tr>
      <td>OPD3.170816.012</td>
      <td>android-8.0.0_r24</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>OPD1.170816.012</td>
      <td>android-8.0.0_r23</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>OPD1.170816.011</td>
      <td>android-8.0.0_r22</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>OPD1.170816.010</td>
      <td>android-8.0.0_r21</td>
      <td>Oreo</td>
      <td>Pixel 2 XL, Pixel 2</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>OPR5.170623.007</td>
      <td>android-8.0.0_r17</td>
      <td>Oreo</td>
      <td>Nexus 6P</td>
      <td>2017-10-05</td>
    </tr>
    <tr>
      <td>OPR4.170623.009</td>
      <td>android-8.0.0_r16</td>
      <td>Oreo</td>
      <td>Nexus 5X</td>
      <td>2017-10-05</td>
    </tr>
    <tr>
      <td>OPR3.170623.008</td>
      <td>android-8.0.0_r15</td>
      <td>Oreo</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-10-05</td>
    </tr>
    <tr>
      <td>OPR1.170623.027</td>
      <td>android-8.0.0_r13</td>
      <td>Oreo</td>
      <td>Pixel XL, Pixel, Pixel C</td>
      <td>2017-10-05</td>
    </tr>
    <tr>
      <td>OPR6.170623.021</td>
      <td>android-8.0.0_r12</td>
      <td>Oreo</td>
      <td>Nexus Player</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>OPR6.170623.019</td>
      <td>android-8.0.0_r11</td>
      <td>Oreo</td>
      <td>Nexus 6P</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>OPR4.170623.006</td>
      <td>android-8.0.0_r10</td>
      <td>Oreo</td>
      <td>Nexus 5X</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>OPR3.170623.007</td>
      <td>android-8.0.0_r9</td>
      <td>Oreo</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>OPR1.170623.026</td>
      <td>android-8.0.0_r7</td>
      <td>Oreo</td>
      <td>Pixel XL, Pixel, Pixel C</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>OPR6.170623.013</td>
      <td>android-8.0.0_r4</td>
      <td>Oreo</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>OPR6.170623.012</td>
      <td>android-8.0.0_r3</td>
      <td>Oreo</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>OPR6.170623.011</td>
      <td>android-8.0.0_r2</td>
      <td>Oreo</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>OPR6.170623.010</td>
      <td>android-8.0.0_r1</td>
      <td>Oreo</td>
      <td>Pixel C</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>N2G48H</td>
      <td>android-7.1.2_r36</td>
      <td>Nougat</td>
      <td></td>
      <td>2017-10-05</td>
    </tr>
    <tr>
      <td>NZH54D</td>
      <td>android-7.1.2_r33</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>NKG47S</td>
      <td>android-7.1.2_r32</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>NHG47Q</td>
      <td>android-7.1.2_r30</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>NJH47F</td>
      <td>android-7.1.2_r29</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>N2G48C</td>
      <td>android-7.1.2_r28</td>
      <td>Nougat</td>
      <td>Nexus 5X, Nexus 6P, Nexus Player, Pixel C</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>NZH54B</td>
      <td>android-7.1.2_r27</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-07-05</td>
    </tr>
    <tr>
      <td>NKG47M</td>
      <td>android-7.1.2_r25</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-07-05</td>
    </tr>
    <tr>
      <td>NJH47D</td>
      <td>android-7.1.2_r24</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-07-05</td>
    </tr>
    <tr>
      <td>NHG47O</td>
      <td>android-7.1.2_r23</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-07-05</td>
    </tr>
    <tr>
      <td>N2G48B</td>
      <td>android-7.1.2_r19</td>
      <td>Nougat</td>
      <td>Nexus 6P, Nexus Player, Pixel C</td>
      <td>2017-07-05</td>
    </tr>
    <tr>
      <td>N2G47Z</td>
      <td>android-7.1.2_r18</td>
      <td>Nougat</td>
      <td>Nexus 5X</td>
      <td>2017-07-05</td>
    </tr>
    <tr>
      <td>NJH47B</td>
      <td>android-7.1.2_r17</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-06-05</td>
    </tr>
    <tr>
      <td>NJH34C</td>
      <td>android-7.1.2_r16</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-06-05</td>
    </tr>
    <tr>
      <td>NKG47L</td>
      <td>android-7.1.2_r15</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-06-05</td>
    </tr>
    <tr>
      <td>NHG47N</td>
      <td>android-7.1.2_r14</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-06-05</td>
    </tr>
    <tr>
      <td>N2G47X</td>
      <td>android-7.1.2_r13</td>
      <td>Nougat</td>
      <td>Nexus Player</td>
      <td>2017-06-05</td>
    </tr>
    <tr>
      <td>N2G47W</td>
      <td>android-7.1.2_r12</td>
      <td>Nougat</td>
      <td>Nexus 5X, Nexus 6P, Pixel C</td>
      <td>2017-06-05</td>
    </tr>
    <tr>
      <td>NHG47L</td>
      <td>android-7.1.2_r11</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-05-05</td>
    </tr>
    <tr>
      <td>N2G47T</td>
      <td>android-7.1.2_r10</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-05-05</td>
    </tr>
    <tr>
      <td>N2G47R</td>
      <td>android-7.1.2_r9</td>
      <td>Nougat</td>
      <td>Nexus Player</td>
      <td>2017-05-05</td>
    </tr>
    <tr>
      <td>N2G47O</td>
      <td>android-7.1.2_r8</td>
      <td>Nougat</td>
      <td>Nexus 5X, Nexus 6P, Pixel XL, Pixel, Pixel C</td>
      <td>2017-05-05</td>
    </tr>
    <tr>
      <td>NHG47K</td>
      <td>android-7.1.2_r6</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-04-05</td>
    </tr>
    <tr>
      <td>N2G47J</td>
      <td>android-7.1.2_r5</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-04-05</td>
    </tr>
    <tr>
      <td>N2G47H</td>
      <td>android-7.1.2_r4</td>
      <td>Nougat</td>
      <td>Nexus 6P, Nexus Player</td>
      <td>2017-04-05</td>
    </tr>
    <tr>
      <td>N2G47F</td>
      <td>android-7.1.2_r3</td>
      <td>Nougat</td>
      <td>Nexus 5X</td>
      <td>2017-04-05</td>
    </tr>
    <tr>
      <td>N2G47E</td>
      <td>android-7.1.2_r2</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-04-05</td>
    </tr>
    <tr>
      <td>N2G47D</td>
      <td>android-7.1.2_r1</td>
      <td>Nougat</td>
      <td>Pixel C</td>
      <td>2017-04-05</td>
    </tr>
    <tr>
      <td>N9F27M</td>
      <td>android-7.1.1_r58</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantis)</td>
      <td>2017-10-05</td>
    </tr>
    <tr>
      <td>NGI77B</td>
      <td>android-7.1.1_r57</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-10-05</td>
    </tr>
    <tr>
      <td>N8I11F</td>
      <td>android-7.1.1_r56</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-10-05</td>
    </tr>
    <tr>
      <td>N6F27M</td>
      <td>android-7.1.1_r55</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-10-05</td>
    </tr>
    <tr>
      <td>N4F27P</td>
      <td>android-7.1.1_r54</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantisg)</td>
      <td>2017-10-05</td>
    </tr>
    <tr>
      <td>N9F27L</td>
      <td>android-7.1.1_r53</td>
      <td>Nougat</td>
      <td>Nexus 9</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>NGI55D</td>
      <td>android-7.1.1_r52</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>N4F27O</td>
      <td>android-7.1.1_r51</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantisg)</td>
      <td>2017-09-05</td>
    </tr>
    <tr>
      <td>N8I11B</td>
      <td>android-7.1.1_r50</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>N9F27H</td>
      <td>android-7.1.1_r49</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantis)</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>N6F27I</td>
      <td>android-7.1.1_r48</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>N4F27K</td>
      <td>android-7.1.1_r47</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantisg)</td>
      <td>2017-08-05</td>
    </tr>
    <tr>
      <td>N9F27F</td>
      <td>android-7.1.1_r46</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantis)</td>
      <td>2017-07-05</td>
    </tr>
    <tr>
      <td>N6F27H</td>
      <td>android-7.1.1_r45</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-07-05</td>
    </tr>
    <tr>
      <td>N4F27I</td>
      <td>android-7.1.1_r44</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantisg)</td>
      <td>2017-07-05</td>
    </tr>
    <tr>
      <td>N9F27C</td>
      <td>android-7.1.1_r43</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantis)</td>
      <td>2017-06-05</td>
    </tr>
    <tr>
      <td>N6F27E</td>
      <td>android-7.1.1_r42</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-06-05</td>
    </tr>
    <tr>
      <td>N4F27E</td>
      <td>android-7.1.1_r41</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantisg)</td>
      <td>2017-06-05</td>
    </tr>
    <tr>
      <td>N6F27C</td>
      <td>android-7.1.1_r40</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-05-05</td>
    </tr>
    <tr>
      <td>N4F27B</td>
      <td>android-7.1.1_r39</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantis/volantisg)</td>
      <td>2017-05-05</td>
    </tr>
    <tr>
      <td>N6F26Y</td>
      <td>android-7.1.1_r38</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-04-01</td>
    </tr>
    <tr>
      <td>NOF27D</td>
      <td>android-7.1.1_r35</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-04-01</td>
    </tr>
    <tr>
      <td>N4F26X</td>
      <td>android-7.1.1_r33</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantis/volantisg)</td>
      <td>2017-04-01</td>
    </tr>
    <tr>
      <td>N4F26U</td>
      <td>android-7.1.1_r31</td>
      <td>Nougat</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2017-04-01</td>
    </tr>
    <tr>
      <td>N6F26U</td>
      <td>android-7.1.1_r28</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-03-05</td>
    </tr>
    <tr>
      <td>NUF26N</td>
      <td>android-7.1.1_r27</td>
      <td>Nougat</td>
      <td>Nexus 6P</td>
      <td>2017-03-05</td>
    </tr>
    <tr>
      <td>NOF27C</td>
      <td>android-7.1.1_r26</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-03-05</td>
    </tr>
    <tr>
      <td>NOF27B</td>
      <td>android-7.1.1_r25</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-03-05</td>
    </tr>
    <tr>
      <td>N4F26T</td>
      <td>android-7.1.1_r24</td>
      <td>Nougat</td>
      <td>Nexus 5X, Nexus 6P, Nexus 9 (volantis/volantisg), Pixel C</td>
      <td>2017-03-05</td>
    </tr>
    <tr>
      <td>NMF27D</td>
      <td>android-7.1.1_r23</td>
      <td>Nougat</td>
      <td>Nexus Player</td>
      <td>2017-03-05</td>
    </tr>
    <tr>
      <td>NMF26X</td>
      <td>android-7.1.1_r22</td>
      <td>Nougat</td>
      <td>Nexus Player</td>
      <td>2017-02-05</td>
    </tr>
    <tr>
      <td>NOF26W</td>
      <td>android-7.1.1_r21</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-02-05</td>
    </tr>
    <tr>
      <td>NOF26V</td>
      <td>android-7.1.1_r20</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-02-05</td>
    </tr>
    <tr>
      <td>N6F26R</td>
      <td>android-7.1.1_r17</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-02-05</td>
    </tr>
    <tr>
      <td>NUF26K</td>
      <td>android-7.1.1_r16</td>
      <td>Nougat</td>
      <td>Nexus 6P</td>
      <td>2017-02-05</td>
    </tr>
    <tr>
      <td>N4F26Q</td>
      <td>android-7.1.1_r15</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantis/volantisg)</td>
      <td>2017-02-05</td>
    </tr>
    <tr>
      <td>N4F26O</td>
      <td>android-7.1.1_r14</td>
      <td>Nougat</td>
      <td>Nexus 5X, Nexus 6P, Pixel C</td>
      <td>2017-02-05</td>
    </tr>
    <tr>
      <td>N6F26Q</td>
      <td>android-7.1.1_r13</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-01-05</td>
    </tr>
    <tr>
      <td>N4F26M</td>
      <td>android-7.1.1_r12</td>
      <td>Nougat</td>
      <td>Nexus 9 (volantis)</td>
      <td>2017-01-01</td>
    </tr>
    <tr>
      <td>N4F26J</td>
      <td>android-7.1.1_r11</td>
      <td>Nougat</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2017-01-05</td>
    </tr>
    <tr>
      <td>N4F26I</td>
      <td>android-7.1.1_r10</td>
      <td>Nougat</td>
      <td>Nexus 5X, Nexus 6P, Pixel C</td>
      <td>2017-01-05</td>
    </tr>
    <tr>
      <td>NMF26V</td>
      <td>android-7.1.1_r9</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-01-05</td>
    </tr>
    <tr>
      <td>NMF26U</td>
      <td>android-7.1.1_r8</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2017-01-05</td>
    </tr>
    <tr>
      <td>NMF26R</td>
      <td>android-7.1.1_r7</td>
      <td>Nougat</td>
      <td>Nexus Player</td>
      <td>2017-01-05</td>
    </tr>
    <tr>
      <td>NMF26Q</td>
      <td>android-7.1.1_r6</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2016-12-05</td>
    </tr>
    <tr>
      <td>NMF26O</td>
      <td>android-7.1.1_r4</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2016-12-05</td>
    </tr>
    <tr>
      <td>NMF26J</td>
      <td>android-7.1.1_r3</td>
      <td>Nougat</td>
      <td>Nexus Player</td>
      <td>2016-12-05</td>
    </tr>
    <tr>
      <td>NMF26H</td>
      <td>android-7.1.1_r2</td>
      <td>Nougat</td>
      <td>Pixel C</td>
      <td>2016-12-05</td>
    </tr>
    <tr>
      <td>NMF26F</td>
      <td>android-7.1.1_r1</td>
      <td>Nougat</td>
      <td>Nexus 5X, Nexus 6P, Nexus 9 (volantis/volantisg)</td>
      <td>2016-12-05</td>
    </tr>
    <tr>
      <td>NDE63X</td>
      <td>android-7.1.0_r7</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2016-11-05</td>
    </tr>
    <tr>
      <td>NDE63V</td>
      <td>android-7.1.0_r6</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2016-11-05</td>
    </tr>
    <tr>
      <td>NDE63U</td>
      <td>android-7.1.0_r5</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2016-11-05</td>
    </tr>
    <tr>
      <td>NDE63P</td>
      <td>android-7.1.0_r4</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2016-10-05</td>
    </tr>
    <tr>
      <td>NDE63L</td>
      <td>android-7.1.0_r2</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2016-10-05</td>
    </tr>
    <tr>
      <td>NDE63H</td>
      <td>android-7.1.0_r1</td>
      <td>Nougat</td>
      <td>Pixel XL, Pixel</td>
      <td>2016-10-05</td>
    </tr>
    <tr>
      <td>NBD92Q</td>
      <td>android-7.0.0_r35</td>
      <td>Nougat</td>
      <td></td>
      <td>2017-11-01</td>
    </tr>
    <tr>
      <td>NBD92N</td>
      <td>android-7.0.0_r34</td>
      <td>Nougat</td>
      <td></td>
      <td>2017-10-01</td>
    </tr>
    <tr>
      <td>NBD92G</td>
      <td>android-7.0.0_r33</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-04-01</td>
    </tr>
    <tr>
      <td>NBD92F</td>
      <td>android-7.0.0_r32</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-04-01</td>
    </tr>
    <tr>
      <td>NBD92E</td>
      <td>android-7.0.0_r31</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-03-05</td>
    </tr>
    <tr>
      <td>NBD92D</td>
      <td>android-7.0.0_r30</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-03-05</td>
    </tr>
    <tr>
      <td>NBD91Z</td>
      <td>android-7.0.0_r29</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-02-05</td>
    </tr>
    <tr>
      <td>NBD91Y</td>
      <td>android-7.0.0_r28</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-02-05</td>
    </tr>
    <tr>
      <td>NBD91X</td>
      <td>android-7.0.0_r27</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2017-01-05</td>
    </tr>
    <tr>
      <td>NBD91U</td>
      <td>android-7.0.0_r24</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2016-12-05</td>
    </tr>
    <tr>
      <td>N5D91L</td>
      <td>android-7.0.0_r21</td>
      <td>Nougat</td>
      <td>Nexus 5X</td>
      <td>2016-11-05</td>
    </tr>
    <tr>
      <td>NBD91P</td>
      <td>android-7.0.0_r19</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2016-11-05</td>
    </tr>
    <tr>
      <td>NRD91K</td>
      <td>android-7.0.0_r17</td>
      <td>Nougat</td>
      <td>Nexus 6P</td>
      <td>2016-11-05</td>
    </tr>
    <tr>
      <td>NRD91N</td>
      <td>android-7.0.0_r15</td>
      <td>Nougat</td>
      <td>Nexus 5X, Pixel C, Nexus Player, Nexus 9 (volantis/volantisg)</td>
      <td>2016-11-05</td>
    </tr>
    <tr>
      <td>NBD90Z</td>
      <td>android-7.0.0_r14</td>
      <td>Nougat</td>
      <td>Nexus 6</td>
      <td>2016-10-05</td>
    </tr>
    <tr>
      <td>NBD90X</td>
      <td>android-7.0.0_r13</td>
      <td>Nougat</td>
      <td>Nexus 6P</td>
      <td>2016-10-05</td>
    </tr>
    <tr>
      <td>NBD90W</td>
      <td>android-7.0.0_r12</td>
      <td>Nougat</td>
      <td>Nexus 5X</td>
      <td>2016-10-05</td>
    </tr>
    <tr>
      <td>NRD91D</td>
      <td>android-7.0.0_r7</td>
      <td>Nougat</td>
      <td>Pixel C, Nexus Player, Nexus 9 (Wi-Fi)</td>
      <td>2016-10-05</td>
    </tr>
    <tr>
      <td>NRD90U</td>
      <td>android-7.0.0_r6</td>
      <td>Nougat</td>
      <td>Nexus 6P</td>
      <td>2016-09-06</td>
    </tr>
    <tr>
      <td>NRD90T</td>
      <td>android-7.0.0_r5</td>
      <td>Nougat</td>
      <td>Nexus 6P</td>
      <td>2016-09-06</td>
    </tr>
    <tr>
      <td>NRD90S</td>
      <td>android-7.0.0_r4</td>
      <td>Nougat</td>
      <td>Nexus 5X</td>
      <td>2016-09-06</td>
    </tr>
    <tr>
      <td>NRD90R</td>
      <td>android-7.0.0_r3</td>
      <td>Nougat</td>
      <td>Nexus 5X, Nexus 9 (volantis), Nexus Player, Pixel C</td>
      <td>2016-09-06</td>
    </tr>
    <tr>
      <td>NRD90M</td>
      <td>android-7.0.0_r1</td>
      <td>Nougat</td>
      <td>Nexus 5X, Nexus 9 (volantis), Nexus Player, Pixel C</td>
      <td>2016-08-05</td>
    </tr>
    <tr>
      <td>MOI10E</td>
      <td>android-6.0.1_r81</td>
      <td>Marshmallow</td>
      <td></td>
      <td>2017-10-01</td>
    </tr>
    <tr>
      <td>MOB31Z</td>
      <td>android-6.0.1_r80</td>
      <td>Marshmallow</td>
      <td></td>
      <td>2017-07-01</td>
    </tr>
    <tr>
      <td>MOB31T</td>
      <td>android-6.0.1_r79</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2017-02-01</td>
    </tr>
    <tr>
      <td>MOB31S</td>
      <td>android-6.0.1_r78</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2017-01-05</td>
    </tr>
    <tr>
      <td>M4B30Z</td>
      <td>android-6.0.1_r77</td>
      <td>Marshmallow</td>
      <td>Nexus 5</td>
      <td>2016-10-05</td>
    </tr>
    <tr>
      <td>MOB31K</td>
      <td>android-6.0.1_r74</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2016-11-05</td>
    </tr>
    <tr>
      <td>MMB31C</td>
      <td>android-6.0.1_r73</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2016-11-05</td>
    </tr>
    <tr>
      <td>M4B30X</td>
      <td>android-6.0.1_r72</td>
      <td>Marshmallow</td>
      <td>Nexus 5</td>
      <td>2016-10-05</td>
    </tr>
    <tr>
      <td>MOB31H</td>
      <td>android-6.0.1_r70</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2016-10-05</td>
    </tr>
    <tr>
      <td>MMB30Y</td>
      <td>android-6.0.1_r69</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2016-10-05</td>
    </tr>
    <tr>
      <td>MTC20K</td>
      <td>android-6.0.1_r67</td>
      <td>Marshmallow</td>
      <td>Nexus 5X</td>
      <td>2016-09-06</td>
    </tr>
    <tr>
      <td>MOB31E</td>
      <td>android-6.0.1_r66</td>
      <td>Marshmallow</td>
      <td>Nexus 5, Nexus 6, Nexus 9 (volantis)</td>
      <td>2016-09-06</td>
    </tr>
    <tr>
      <td>MMB30W</td>
      <td>android-6.0.1_r65</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2016-09-06</td>
    </tr>
    <tr>
      <td>MXC89L</td>
      <td>android-6.0.1_r63</td>
      <td>Marshmallow</td>
      <td>Pixel C</td>
      <td>2016-08-05</td>
    </tr>
    <tr>
      <td>MTC20F</td>
      <td>android-6.0.1_r62</td>
      <td>Marshmallow</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2016-08-05</td>
    </tr>
    <tr>
      <td>MOB30Y</td>
      <td>android-6.0.1_r60</td>
      <td>Marshmallow</td>
      <td>Nexus 5</td>
      <td>2016-08-05</td>
    </tr>
    <tr>
      <td>MOB30X</td>
      <td>android-6.0.1_r59</td>
      <td>Marshmallow</td>
      <td>Nexus 7 (flo/deb)</td>
      <td>2016-08-05</td>
    </tr>
    <tr>
      <td>MOB30W</td>
      <td>android-6.0.1_r58</td>
      <td>Marshmallow</td>
      <td>Nexus 6, Nexus 9 (volantis/volantisg), Nexus Player</td>
      <td>2016-08-05</td>
    </tr>
    <tr>
      <td>MMB30S</td>
      <td>android-6.0.1_r57</td>
      <td>Marshmallow</td>
      <td>Nexus 7 (deb)</td>
      <td>2016-08-05</td>
    </tr>
    <tr>
      <td>MMB30R</td>
      <td>android-6.0.1_r56</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2016-08-05</td>
    </tr>
    <tr>
      <td>MXC89K</td>
      <td>android-6.0.1_r55</td>
      <td>Marshmallow</td>
      <td>Pixel C</td>
      <td>2016-07-05</td>
    </tr>
    <tr>
      <td>MTC19Z</td>
      <td>android-6.0.1_r54</td>
      <td>Marshmallow</td>
      <td>Nexus 5X</td>
      <td>2016-07-05</td>
    </tr>
    <tr>
      <td>MTC19X</td>
      <td>android-6.0.1_r53</td>
      <td>Marshmallow</td>
      <td>Nexus 6P</td>
      <td>2016-07-05</td>
    </tr>
    <tr>
      <td>MOB30P</td>
      <td>android-6.0.1_r50</td>
      <td>Marshmallow</td>
      <td>Nexus 5, Nexus 7 (flo/deb), Nexus 9 (volantis/volantisg), Nexus Player</td>
      <td>2016-07-05</td>
    </tr>
    <tr>
      <td>MOB30O</td>
      <td>android-6.0.1_r49</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2016-07-05</td>
    </tr>
    <tr>
      <td>MMB30M</td>
      <td>android-6.0.1_r48</td>
      <td>Marshmallow</td>
      <td>Nexus 7 (deb)</td>
      <td>2016-07-05</td>
    </tr>
    <tr>
      <td>MMB30K</td>
      <td>android-6.0.1_r47</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2016-07-05</td>
    </tr>
    <tr>
      <td>MOB30M</td>
      <td>android-6.0.1_r46</td>
      <td>Marshmallow</td>
      <td>Nexus 5, Nexus 6, Nexus 7 (flo/deb), Nexus 9 (volantis/volantisg), Nexus Player</td>
      <td>2016-06-01</td>
    </tr>
    <tr>
      <td>MTC19V</td>
      <td>android-6.0.1_r45</td>
      <td>Marshmallow</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2016-06-01</td>
    </tr>
    <tr>
      <td>MOB30J</td>
      <td>android-6.0.1_r43</td>
      <td>Marshmallow</td>
      <td>Nexus 7 (flo/deb)</td>
      <td>2016-05-01</td>
    </tr>
    <tr>
      <td>MOB30I</td>
      <td>android-6.0.1_r42</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2016-05-01</td>
    </tr>
    <tr>
      <td>MOB30H</td>
      <td>android-6.0.1_r41</td>
      <td>Marshmallow</td>
      <td>Nexus 5</td>
      <td>2016-05-01</td>
    </tr>
    <tr>
      <td>MOB30G</td>
      <td>android-6.0.1_r40</td>
      <td>Marshmallow</td>
      <td>Nexus 9 (volantis/volantisg), Nexus Player</td>
      <td>2016-05-01</td>
    </tr>
    <tr>
      <td>MXC89H</td>
      <td>android-6.0.1_r33</td>
      <td>Marshmallow</td>
      <td>Pixel C</td>
      <td>2016-06-01</td>
    </tr>
    <tr>
      <td>MXC89F</td>
      <td>android-6.0.1_r32</td>
      <td>Marshmallow</td>
      <td>Pixel C</td>
      <td>2016-05-01</td>
    </tr>
    <tr>
      <td>MMB30J</td>
      <td>android-6.0.1_r28</td>
      <td>Marshmallow</td>
      <td>Nexus 6, Nexus 7 (deb)</td>
      <td>2016-06-01</td>
    </tr>
    <tr>
      <td>MTC19T</td>
      <td>android-6.0.1_r25</td>
      <td>Marshmallow</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2016-05-01</td>
    </tr>
    <tr>
      <td>M5C14J</td>
      <td>android-6.0.1_r31</td>
      <td>Marshmallow</td>
      <td>Pixel C</td>
      <td>2016-04-01</td>
    </tr>
    <tr>
      <td>MOB30D</td>
      <td>android-6.0.1_r30</td>
      <td>Marshmallow</td>
      <td>Nexus 5, Nexus 6, Nexus 7 (flo/deb), Nexus 9 (volantis/volantisg), Nexus Player</td>
      <td>2016-04-02</td>
    </tr>
    <tr>
      <td>MHC19Q</td>
      <td>android-6.0.1_r24</td>
      <td>Marshmallow</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2016-04-02</td>
    </tr>
    <tr>
      <td>MHC19J</td>
      <td>android-6.0.1_r22</td>
      <td>Marshmallow</td>
      <td>Nexus 5X</td>
      <td>2016-03-01</td>
    </tr>
    <tr>
      <td>MHC19I</td>
      <td>android-6.0.1_r21</td>
      <td>Marshmallow</td>
      <td>Nexus 6P</td>
      <td>2016-03-01</td>
    </tr>
    <tr>
      <td>MMB29X</td>
      <td>android-6.0.1_r20</td>
      <td>Marshmallow</td>
      <td>Nexus 5, Nexus 6, Nexus 7 (deb), Nexus 9 (volantisg)</td>
      <td>2016-04-02</td>
    </tr>
    <tr>
      <td>MXC14G</td>
      <td>android-6.0.1_r18</td>
      <td>Marshmallow</td>
      <td>Pixel C</td>
      <td>2016-03-01</td>
    </tr>
    <tr>
      <td>MMB29V</td>
      <td>android-6.0.1_r17</td>
      <td>Marshmallow</td>
      <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Nexus 7 (flo/deb), Nexus 9 (volantis/volantisg)</td>
      <td>2016-03-01</td>
    </tr>
    <tr>
      <td>MXB48T</td>
      <td>android-6.0.1_r16</td>
      <td>Marshmallow</td>
      <td>Pixel C</td>
      <td>2016-02-01</td>
    </tr>
    <tr>
      <td>MMB29U</td>
      <td>android-6.0.1_r13</td>
      <td>Marshmallow</td>
      <td>Nexus Player</td>
      <td>2016-02-01</td>
    </tr>
    <tr>
      <td>MMB29R</td>
      <td>android-6.0.1_r12</td>
      <td>Marshmallow</td>
      <td>Nexus 9 (volantis/volantisg)</td>
      <td>2016-02-01</td>
    </tr>
    <tr>
      <td>MMB29Q</td>
      <td>android-6.0.1_r11</td>
      <td>Marshmallow</td>
      <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 6P, Nexus 7 (flo/deb)</td>
      <td>2016-02-01</td>
    </tr>
    <tr>
      <td>MMB29T</td>
      <td>android-6.0.1_r10</td>
      <td>Marshmallow</td>
      <td>Nexus Player</td>
      <td>2016-01-01</td>
    </tr>
    <tr>
      <td>MMB29S</td>
      <td>android-6.0.1_r9</td>
      <td>Marshmallow</td>
      <td>Nexus 5, Nexus 6, Nexus 9 (volantis/volantisg)</td>
      <td>2016-01-01</td>
    </tr>
    <tr>
      <td>MMB29P</td>
      <td>android-6.0.1_r8</td>
      <td>Marshmallow</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2016-01-01</td>
    </tr>
    <tr>
      <td>MMB29O</td>
      <td>android-6.0.1_r7</td>
      <td>Marshmallow</td>
      <td>Nexus 7 (flo/deb)</td>
      <td>2016-01-01</td>
    </tr>
    <tr>
      <td>MXB48K</td>
      <td>android-6.0.1_r5</td>
      <td>Marshmallow</td>
      <td>Pixel C</td>
      <td>2015-12-01</td>
    </tr>
    <tr>
      <td>MXB48J</td>
      <td>android-6.0.1_r4</td>
      <td>Marshmallow</td>
      <td>Pixel C</td>
      <td>2015-12-01</td>
    </tr>
    <tr>
      <td>MMB29M</td>
      <td>android-6.0.1_r3</td>
      <td>Marshmallow</td>
      <td>Nexus 6P, Nexus Player</td>
      <td>2015-12-01</td>
    </tr>
    <tr>
      <td>MMB29K</td>
      <td>android-6.0.1_r1</td>
      <td>Marshmallow</td>
      <td>Nexus 5, Nexus 5X, Nexus 6, Nexus 7 (flo/deb), Nexus 9 (volantis/volantisg)</td>
      <td>2015-12-01</td>
    </tr>
    <tr>
      <td>MMB29N</td>
      <td>android-6.0.0_r41</td>
      <td>Marshmallow</td>
      <td>Nexus 6P</td>
      <td>2015-11-01</td>
    </tr>
    <tr>
      <td>MDB08M</td>
      <td>android-6.0.0_r26</td>
      <td>Marshmallow</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2015-11-01</td>
    </tr>
    <tr>
      <td>MDB08L</td>
      <td>android-6.0.0_r25</td>
      <td>Marshmallow</td>
      <td>Nexus 5X, Nexus 6P</td>
      <td>2015-11-01</td>
    </tr>
    <tr>
      <td>MDB08K</td>
      <td>android-6.0.0_r24</td>
      <td>Marshmallow</td>
      <td>Nexus 6P</td>
      <td>2015-10-01</td>
    </tr>
    <tr>
      <td>MDB08I</td>
      <td>android-6.0.0_r23</td>
      <td>Marshmallow</td>
      <td>Nexus 5X</td>
      <td>2015-10-01</td>
    </tr>
    <tr>
      <td>MDA89E</td>
      <td>android-6.0.0_r12</td>
      <td>Marshmallow</td>
      <td>Nexus 5X</td>
      <td>2015-10-01</td>
    </tr>
    <tr>
      <td>MDA89D</td>
      <td>android-6.0.0_r11</td>
      <td>Marshmallow</td>
      <td>Nexus 6P</td>
      <td>2015-10-01</td>
    </tr>
    <tr>
      <td>MRA59B</td>
      <td>android-6.0.0_r7</td>
      <td>Marshmallow</td>
      <td>Nexus 7 (deb)</td>
      <td>2015-12-01</td>
    </tr>
    <tr>
      <td>MRA58X</td>
      <td>android-6.0.0_r6</td>
      <td>Marshmallow</td>
      <td>Nexus 6</td>
      <td>2015-11-01</td>
    </tr>
    <tr>
      <td>MRA58V</td>
      <td>android-6.0.0_r5</td>
      <td>Marshmallow</td>
      <td>Nexus 7 (flo/deb)</td>
      <td>2015-11-01</td>
    </tr>
    <tr>
      <td>MRA58U</td>
      <td>android-6.0.0_r4</td>
      <td>Marshmallow</td>
      <td>Nexus 7 (flo)</td>
      <td>2015-10-01</td>
    </tr>
    <tr>
      <td>MRA58N</td>
      <td>android-6.0.0_r2</td>
      <td>Marshmallow</td>
      <td>Nexus 5, Nexus 6, Nexus 7 (flo/deb), Nexus 9 (volantis/volantisg), Nexus Player</td>
      <td>2015-11-01</td>
    </tr>
    <tr>
      <td>MRA58K</td>
      <td>android-6.0.0_r1</td>
      <td>Marshmallow</td>
      <td>Nexus 5, Nexus 6, Nexus 7 (flo/deb), Nexus 9 (volantis/volantisg), Nexus Player</td>
      <td>2015-10-01</td>
    </tr>
    <tr>
      <td>LMY49M</td>
      <td>android-5.1.1_r38</td>
      <td>Lollipop</td>
      <td>Nexus 10</td>
      <td>2016-07-05</td>
    </tr>
    <tr>
      <td>LMY49J</td>
      <td>android-5.1.1_r37</td>
      <td>Lollipop</td>
      <td>Nexus 10</td>
      <td>2016-04-01</td>
    </tr>
    <tr>
      <td>LMY49I</td>
      <td>android-5.1.1_r36</td>
      <td>Lollipop</td>
      <td>Nexus 10</td>
      <td>2016-03-01</td>
    </tr>
    <tr>
      <td>LMY49H</td>
      <td>android-5.1.1_r35</td>
      <td>Lollipop</td>
      <td>Nexus 10</td>
      <td>2016-03-01</td>
    </tr>
    <tr>
      <td>LMY49G</td>
      <td>android-5.1.1_r34</td>
      <td>Lollipop</td>
      <td>Nexus 10</td>
      <td>2016-02-01</td>
    </tr>
    <tr>
      <td>LMY49F</td>
      <td>android-5.1.1_r33</td>
      <td>Lollipop</td>
      <td>Nexus 9 (volantisg), Nexus 10</td>
      <td>2016-01-01</td>
    </tr>
    <tr>
      <td>LMY48Z</td>
      <td>android-5.1.1_r30</td>
      <td>Lollipop</td>
      <td>Nexus 6, Nexus 7 (deb), Nexus 9 (volantisg), Nexus 10</td>
      <td>2015-12-01</td>
    </tr>
    <tr>
      <td>LYZ28N</td>
      <td>android-5.1.1_r28</td>
      <td>Lollipop</td>
      <td>Nexus 6 (For T-Mobile ONLY)</td>
      <td>2015-11-01</td>
    </tr>
    <tr>
      <td>LMY48Y</td>
      <td>android-5.1.1_r26</td>
      <td>Lollipop</td>
      <td>Nexus 6</td>
      <td>2015-11-01</td>
    </tr>
    <tr>
      <td>LMY48X</td>
      <td>android-5.1.1_r25</td>
      <td>Lollipop</td>
      <td>Nexus 6, Nexus 7 (deb), Nexus 9 (volantisg), Nexus 10</td>
      <td>2015-11-01</td>
    </tr>
    <tr>
      <td>LMY48W</td>
      <td>android-5.1.1_r24</td>
      <td>Lollipop</td>
      <td>Nexus 6</td>
      <td></td>
    </tr>
    <tr>
      <td>LVY48H</td>
      <td>android-5.1.1_r23</td>
      <td>Lollipop</td>
      <td>Nexus 6 (For Project Fi ONLY)</td>
      <td></td>
    </tr>
    <tr>
      <td>LYZ28M</td>
      <td>android-5.1.1_r22</td>
      <td>Lollipop</td>
      <td>Nexus 6 (For T-Mobile ONLY)</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY48U</td>
      <td>android-5.1.1_r20</td>
      <td>Lollipop</td>
      <td>Nexus 7 (deb)</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY48T</td>
      <td>android-5.1.1_r19</td>
      <td>Lollipop</td>
      <td>Nexus 4, Nexus 6, Nexus 9 (volantis/volantisg), Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>LVY48F</td>
      <td>android-5.1.1_r18</td>
      <td>Lollipop</td>
      <td>Nexus 6 (For Project Fi ONLY)</td>
      <td></td>
    </tr>
    <tr>
      <td>LYZ28K</td>
      <td>android-5.1.1_r17</td>
      <td>Lollipop</td>
      <td>Nexus 6 (For T-Mobile ONLY)</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY48P</td>
      <td>android-5.1.1_r16</td>
      <td>Lollipop</td>
      <td>Nexus 7 (deb)</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY48N</td>
      <td>android-5.1.1_r15</td>
      <td>Lollipop</td>
      <td>Nexus Player</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY48M</td>
      <td>android-5.1.1_r14</td>
      <td>Lollipop</td>
      <td>Nexus 4, Nexus 5, Nexus 6, Nexus 7 (flo), Nexus 9 (volantis/volantisg), Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>LVY48E</td>
      <td>android-5.1.1_r13</td>
      <td>Lollipop</td>
      <td>Nexus 6 (For Project Fi ONLY)</td>
      <td></td>
    </tr>
    <tr>
      <td>LYZ28J</td>
      <td>android-5.1.1_r12</td>
      <td>Lollipop</td>
      <td>Nexus 6 (For T-Mobile ONLY)</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY48J</td>
      <td>android-5.1.1_r10</td>
      <td>Lollipop</td>
      <td>Nexus Player</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY48I</td>
      <td>android-5.1.1_r9</td>
      <td>Lollipop</td>
      <td>Nexus 4, Nexus 5, Nexus 6, Nexus 7 (flo), Nexus 9 (volantis/volantisg), Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>LVY48C</td>
      <td>android-5.1.1_r8</td>
      <td>Lollipop</td>
      <td>Nexus 6 (For Project Fi ONLY)</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY48G</td>
      <td>android-5.1.1_r6</td>
      <td>Lollipop</td>
      <td>Nexus 7 (flo)</td>
      <td></td>
    </tr>
    <tr>
      <td>LYZ28E</td>
      <td>android-5.1.1_r5</td>
      <td>Lollipop</td>
      <td>Nexus 6 (For T-Mobile ONLY)</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY47Z</td>
      <td>android-5.1.1_r4</td>
      <td>Lollipop</td>
      <td>Nexus 6 (All carriers except T-Mobile US)</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY48B</td>
      <td>android-5.1.1_r3</td>
      <td>Lollipop</td>
      <td>Nexus 5</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY47X</td>
      <td>android-5.1.1_r2</td>
      <td>Lollipop</td>
      <td>Nexus 9 (volantis)</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY47V</td>
      <td>android-5.1.1_r1</td>
      <td>Lollipop</td>
      <td>Nexus 7 (flo/grouper), Nexus 10, Nexus Player</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY47O</td>
      <td>android-5.1.0_r5</td>
      <td>Lollipop</td>
      <td>Nexus 4, Nexus 7 (flo/deb)</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY47M</td>
      <td>android-5.1.0_r4</td>
      <td>Lollipop</td>
      <td>Nexus 6 (For T-Mobile ONLY)</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY47I</td>
      <td>android-5.1.0_r3</td>
      <td>Lollipop</td>
      <td>Nexus 5, Nexus 6</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY47E</td>
      <td>android-5.1.0_r2</td>
      <td>Lollipop</td>
      <td>Nexus 6</td>
      <td></td>
    </tr>
    <tr>
      <td>LMY47D</td>
      <td>android-5.1.0_r1</td>
      <td>Lollipop</td>
      <td>Nexus 5, Nexus 6, Nexus 7 (grouper/tilapia), Nexus 10, Nexus Player</td>
      <td></td>
    </tr>
    <tr>
      <td>LRX22L</td>
      <td>android-5.0.2_r3</td>
      <td>Lollipop</td>
      <td>Nexus 9 (volantis/volantisg)</td>
      <td></td>
    </tr>
    <tr>
      <td>LRX22G</td>
      <td>android-5.0.2_r1</td>
      <td>Lollipop</td>
      <td>Nexus 7 (flo/deb/grouper/tilapia), Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>LRX22C</td>
      <td>android-5.0.1_r1</td>
      <td>Lollipop</td>
      <td>Nexus 4, Nexus 5, Nexus 6 (shamu), Nexus 7 (flo), Nexus 9 (volantis/volantisg), Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>LRX21V</td>
      <td>android-5.0.0_r7.0.1</td>
      <td>Lollipop</td>
      <td>Nexus Player (fugu)</td>
      <td></td>
    </tr>
    <tr>
      <td>LRX21T</td>
      <td>android-5.0.0_r6.0.1</td>
      <td>Lollipop</td>
      <td>Nexus 4</td>
      <td></td>
    </tr>
    <tr>
      <td>LRX21R</td>
      <td>android-5.0.0_r5.1.0.1</td>
      <td>Lollipop</td>
      <td>Nexus 9 (volantis)</td>
      <td></td>
    </tr>
    <tr>
      <td>LRX21Q</td>
      <td>android-5.0.0_r5.0.1</td>
      <td>Lollipop</td>
      <td>Nexus 9 (volantis)</td>
      <td></td>
    </tr>
    <tr>
      <td>LRX21P</td>
      <td>android-5.0.0_r4.0.1</td>
      <td>Lollipop</td>
      <td>Nexus 7 (flo/grouper), Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>LRX21O</td>
      <td>android-5.0.0_r3.0.1</td>
      <td>Lollipop</td>
      <td>Nexus 5 (hammerhead), Nexus 6 (shamu)</td>
      <td></td>
    </tr>
    <tr>
      <td>LRX21M</td>
      <td>android-5.0.0_r2.0.1</td>
      <td>Lollipop</td>
      <td>Nexus Player (fugu)</td>
      <td></td>
    </tr>
    <tr>
      <td>LRX21L</td>
      <td>android-5.0.0_r1.0.1</td>
      <td>Lollipop</td>
      <td>Nexus 9 (volantis)</td>
      <td></td>
    </tr>
    <tr>
      <td>KTU84Q</td>
      <td>android-4.4.4_r2</td>
      <td>KitKat</td>
      <td>Nexus 5 (hammerhead) (For 2Degrees/NZ, Telstra/AUS and India ONLY)</td>
      <td></td>
    </tr>
    <tr>
      <td>KTU84P</td>
      <td>android-4.4.4_r1</td>
      <td>KitKat</td>
      <td>Nexus 5, Nexus 7 (flo/deb/grouper/tilapia), Nexus 4, Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>KTU84M</td>
      <td>android-4.4.3_r1.1</td>
      <td>KitKat</td>
      <td>Nexus 5 (hammerhead)</td>
      <td></td>
    </tr>
    <tr>
      <td>KTU84L</td>
      <td>android-4.4.3_r1</td>
      <td>KitKat</td>
      <td>Nexus 7 (flo/deb/grouper/tilapia), Nexus 4, Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>KVT49L</td>
      <td>android-4.4.2_r2</td>
      <td>KitKat</td>
      <td>Nexus 7 (deb Verizon)</td>
      <td></td>
    </tr>
    <tr>
      <td>KOT49H</td>
      <td>android-4.4.2_r1</td>
      <td>KitKat</td>
      <td>Nexus 5, Nexus 7 (flo/deb/grouper/tilapia), Nexus 4, Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>KOT49E</td>
      <td>android-4.4.1_r1</td>
      <td>KitKat</td>
      <td>Nexus 5, Nexus 7 (flo/deb/grouper/tilapia), Nexus 4, Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>KRT16S</td>
      <td>android-4.4_r1.2</td>
      <td>KitKat</td>
      <td>Nexus 7 (flo/deb/grouper/tilapia), Nexus 4, Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>KRT16M</td>
      <td>android-4.4_r1</td>
      <td>KitKat</td>
      <td>Nexus 5 (hammerhead)</td>
      <td></td>
    </tr>
    <tr>
      <td>JLS36I</td>
      <td>android-4.3.1_r1</td>
      <td>Jelly Bean</td>
      <td>Nexus 7 (deb)</td>
      <td></td>
    </tr>
    <tr>
      <td>JLS36C</td>
      <td>android-4.3_r3</td>
      <td>Jelly Bean</td>
      <td>Nexus 7 (deb)</td>
      <td></td>
    </tr>
    <tr>
      <td>JSS15R</td>
      <td>android-4.3_r2.3</td>
      <td>Jelly Bean</td>
      <td>Nexus 7 (flo)</td>
      <td></td>
    </tr>
    <tr>
      <td>JSS15Q</td>
      <td>android-4.3_r2.2</td>
      <td>Jelly Bean</td>
      <td>Nexus 7 (flo)</td>
      <td></td>
    </tr>
    <tr>
      <td>JSS15J</td>
      <td>android-4.3_r2.1</td>
      <td>Jelly Bean</td>
      <td>Nexus 7 (flo/deb)</td>
      <td></td>
    </tr>
    <tr>
      <td>JSR78D</td>
      <td>android-4.3_r2</td>
      <td>Jelly Bean</td>
      <td>Nexus 7 (deb)</td>
      <td></td>
    </tr>
    <tr>
      <td>JWR66Y</td>
      <td>android-4.3_r1.1</td>
      <td>Jelly Bean</td>
      <td>Galaxy Nexus, Nexus 7 (grouper/tilapia), Nexus 4, Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>JWR66V</td>
      <td>android-4.3_r1</td>
      <td>Jelly Bean</td>
      <td>Galaxy Nexus, Nexus 7 (grouper/tilapia), Nexus 4, Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>JWR66N</td>
      <td>android-4.3_r0.9.1</td>
      <td>Jelly Bean</td>
      <td>Galaxy Nexus, Nexus 7 (grouper/tilapia/flo), Nexus 4, Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>JWR66L</td>
      <td>android-4.3_r0.9</td>
      <td>Jelly Bean</td>
      <td>Nexus 7</td>
      <td></td>
    </tr>
    <tr>
      <td>JDQ39E</td>
      <td>android-4.2.2_r1.2</td>
      <td>Jelly Bean</td>
      <td>Nexus 4</td>
      <td></td>
    </tr>
    <tr>
      <td>JDQ39B</td>
      <td>android-4.2.2_r1.1</td>
      <td>Jelly Bean</td>
      <td>Nexus 7</td>
      <td></td>
    </tr>
    <tr>
      <td>JDQ39</td>
      <td>android-4.2.2_r1</td>
      <td>Jelly Bean</td>
      <td>Galaxy Nexus, Nexus 7, Nexus 4, Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>JOP40G</td>
      <td>android-4.2.1_r1.2</td>
      <td>Jelly Bean</td>
      <td>Nexus 4</td>
      <td></td>
    </tr>
    <tr>
      <td>JOP40F</td>
      <td>android-4.2.1_r1.1</td>
      <td>Jelly Bean</td>
      <td>Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>JOP40D</td>
      <td>android-4.2.1_r1</td>
      <td>Jelly Bean</td>
      <td>Galaxy Nexus, Nexus 7, Nexus 4, Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>JOP40C</td>
      <td>android-4.2_r1</td>
      <td>Jelly Bean</td>
      <td>Galaxy Nexus, Nexus 7, Nexus 4, Nexus 10</td>
      <td></td>
    </tr>
    <tr>
      <td>JZO54M</td>
      <td>android-4.1.2_r2.1</td>
      <td>Jelly Bean</td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>JZO54L</td>
      <td>android-4.1.2_r2</td>
      <td>Jelly Bean</td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>JZO54K</td>
      <td>android-4.1.2_r1</td>
      <td>Jelly Bean</td>
      <td>Nexus S, Galaxy Nexus, Nexus 7</td>
      <td></td>
    </tr>
    <tr>
      <td>JRO03S</td>
      <td>android-4.1.1_r6.1</td>
      <td>Jelly Bean</td>
      <td>Nexus 7</td>
      <td></td>
    </tr>
    <tr>
      <td>JRO03R</td>
      <td>android-4.1.1_r6</td>
      <td>Jelly Bean</td>
      <td>Nexus S 4G</td>
      <td></td>
    </tr>
    <tr>
      <td>JRO03O</td>
      <td>android-4.1.1_r5</td>
      <td>Jelly Bean</td>
      <td>Galaxy Nexus</td>
      <td></td>
    </tr>
    <tr>
      <td>JRO03L</td>
      <td>android-4.1.1_r4</td>
      <td>Jelly Bean</td>
      <td>Nexus S</td>
      <td></td>
    </tr>
    <tr>
      <td>JRO03H</td>
      <td>android-4.1.1_r3</td>
      <td>Jelly Bean</td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>JRO03E</td>
      <td>android-4.1.1_r2</td>
      <td>Jelly Bean</td>
      <td>Nexus S</td>
      <td></td>
    </tr>
    <tr>
      <td>JRO03D</td>
      <td>android-4.1.1_r1.1</td>
      <td>Jelly Bean</td>
      <td>Nexus 7</td>
      <td></td>
    </tr>
    <tr>
      <td>JRO03C</td>
      <td>android-4.1.1_r1</td>
      <td>Jelly Bean</td>
      <td>Galaxy Nexus</td>
      <td></td>
    </tr>
    <tr>
      <td>IMM76L</td>
      <td>android-4.0.4_r2.1</td>
      <td>Ice Cream Sandwich</td>
      <td>&nbsp;</td>
      <td></td>
    </tr>
    <tr>
      <td>IMM76K</td>
      <td>android-4.0.4_r2</td>
      <td>Ice Cream Sandwich</td>
      <td>Galaxy Nexus</td>
      <td></td>
    </tr>
    <tr>
      <td>IMM76I</td>
      <td>android-4.0.4_r1.2</td>
      <td>Ice Cream Sandwich</td>
      <td>Galaxy Nexus</td>
      <td></td>
    </tr>
    <tr>
      <td>IMM76D</td>
      <td>android-4.0.4_r1.1</td>
      <td>Ice Cream Sandwich</td>
      <td>Nexus S, Nexus S 4G, Galaxy Nexus</td>
      <td></td>
    </tr>
    <tr>
      <td>IMM76</td>
      <td>android-4.0.4_r1</td>
      <td>Ice Cream Sandwich</td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>IML77</td>
      <td>android-4.0.3_r1.1</td>
      <td>Ice Cream Sandwich</td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>IML74K</td>
      <td>android-4.0.3_r1</td>
      <td>Ice Cream Sandwich</td>
      <td>Nexus S</td>
      <td></td>
    </tr>
    <tr>
      <td>ICL53F</td>
      <td>android-4.0.2_r1</td>
      <td>Ice Cream Sandwich</td>
      <td>Galaxy Nexus</td>
      <td></td>
    </tr>
    <tr>
      <td>ITL41F</td>
      <td>android-4.0.1_r1.2</td>
      <td>Ice Cream Sandwich</td>
      <td>Galaxy Nexus</td>
      <td></td>
    </tr>
    <tr>
      <td>ITL41D</td>
      <td>android-4.0.1_r1.1</td>
      <td>Ice Cream Sandwich</td>
      <td>Galaxy Nexus</td>
      <td></td>
    </tr>
    <tr>
      <td>ITL41D</td>
      <td>android-4.0.1_r1</td>
      <td>Ice Cream Sandwich</td>
      <td>Galaxy Nexus</td>
      <td></td>
    </tr>
    <tr>
      <td>GWK74</td>
      <td>android-2.3.7_r1</td>
      <td>Gingerbread</td>
      <td>Nexus S 4G</td>
      <td></td>
    </tr>
    <tr>
      <td>GRK39F</td>
      <td>android-2.3.6_r1</td>
      <td>Gingerbread</td>
      <td>Nexus One, Nexus S</td>
      <td></td>
    </tr>
    <tr>
      <td>GRK39C</td>
      <td>android-2.3.6_r0.9</td>
      <td>Gingerbread</td>
      <td>Nexus S</td>
      <td></td>
    </tr>
    <tr>
      <td>GRJ90</td>
      <td>android-2.3.5_r1</td>
      <td>Gingerbread</td>
      <td>Nexus S 4G</td>
      <td></td>
    </tr>
    <tr>
      <td>GRJ22</td>
      <td>android-2.3.4_r1</td>
      <td>Gingerbread</td>
      <td>Nexus One, Nexus S, Nexus S 4G</td>
      <td></td>
    </tr>
    <tr>
      <td>GRJ06D</td>
      <td>android-2.3.4_r0.9</td>
      <td>Gingerbread</td>
      <td>Nexus S 4G</td>
      <td></td>
    </tr>
    <tr>
      <td>GRI54</td>
      <td>android-2.3.3_r1.1</td>
      <td>Gingerbread</td>
      <td>Nexus S</td>
      <td></td>
    </tr>
    <tr>
      <td>GRI40</td>
      <td>android-2.3.3_r1</td>
      <td>Gingerbread</td>
      <td>Nexus One, Nexus S</td>
      <td></td>
    </tr>
    <tr>
      <td>GRH78C</td>
      <td>android-2.3.2_r1</td>
      <td>Gingerbread</td>
      <td>Nexus S</td>
      <td></td>
    </tr>
    <tr>
      <td>GRH78</td>
      <td>android-2.3.1_r1</td>
      <td>Gingerbread</td>
      <td>Nexus S</td>
      <td></td>
    </tr>
    <tr>
      <td>GRH55</td>
      <td>android-2.3_r1</td>
      <td>Gingerbread</td>
      <td>earliest Gingerbread version, Nexus S</td>
      <td></td>
    </tr>
    <tr>
      <td>FRK76C</td>
      <td>android-2.2.3_r2</td>
      <td>Froyo</td>
      <td>&nbsp;</td>
      <td></td>
    </tr>
    <tr>
      <td>FRK76</td>
      <td>android-2.2.3_r1</td>
      <td>Froyo</td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>FRG83G</td>
      <td>android-2.2.2_r1</td>
      <td>Froyo</td>
      <td>Nexus One</td>
      <td></td>
    </tr>
    <tr>
      <td>FRG83D</td>
      <td>android-2.2.1_r2</td>
      <td>Froyo</td>
      <td>Nexus One</td>
      <td></td>
    </tr>
    <tr>
      <td>FRG83</td>
      <td>android-2.2.1_r1</td>
      <td>Froyo</td>
      <td>Nexus One</td>
      <td></td>
    </tr>
    <tr>
      <td>FRG22D</td>
      <td>android-2.2_r1.3</td>
      <td>Froyo</td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>FRG01B</td>
      <td>android-2.2_r1.2</td>
      <td>Froyo</td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>FRF91</td>
      <td>android-2.2_r1.1</td>
      <td>Froyo</td>
      <td>Nexus One</td>
      <td></td>
    </tr>
    <tr>
      <td>FRF85B</td>
      <td>android-2.2_r1</td>
      <td>Froyo</td>
      <td>Nexus One</td>
      <td></td>
    </tr>
    <tr>
      <td>EPF21B</td>
      <td>android-2.1_r2.1p2</td>
      <td>Eclair</td>
      <td>&nbsp;</td>
      <td></td>
    </tr>
    <tr>
      <td>ESE81</td>
      <td>android-2.1_r2.1s</td>
      <td>Eclair</td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>EPE54B</td>
      <td>android-2.1_r2.1p</td>
      <td>Eclair</td>
      <td>Nexus One</td>
      <td></td>
    </tr>
    <tr>
      <td>ERE27</td>
      <td>android-2.1_r2</td>
      <td>Eclair</td>
      <td>Nexus One</td>
      <td></td>
    </tr>
    <tr>
      <td>ERD79</td>
      <td>android-2.1_r1</td>
      <td>Eclair</td>
      <td>Nexus One</td>
      <td></td>
    </tr>
    <tr>
      <td>ESD56</td>
      <td>android-2.0.1_r1</td>
      <td>Eclair</td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>ESD20</td>
      <td>android-2.0_r1</td>
      <td>Eclair</td>
      <td>&nbsp;</td>
      <td></td>
    </tr>
    <tr>
      <td>DMD64</td>
      <td>android-1.6_r1.5</td>
      <td>Donut</td>
      <td>&nbsp;</td>
      <td></td>
    </tr>
    <tr>
      <td>DRD20</td>
      <td>android-1.6_r1.4</td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>DRD08</td>
      <td>android-1.6_r1.3</td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td>DRC92</td>
      <td>android-1.6_r1.2</td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
  </tbody>
</table>

<p>The branches froyo, gingerbread, ics-mr0, ics-mr1, jb-dev, jb-mr1-dev,
  jb-mr1.1-dev, jb-mr2-dev, kitkat-dev represent development branches that do
  not exactly match configurations tested by Google. As such, these branches
  might contain a variety of changes in addition to the official tagged releases
  and might not be as thoroughly tested.</p>

<p>To differentiate between releases, you can obtain a list of changes
associated with each project by issuing the following command and passing it
the two branch tags:</p>

<pre class="devsite-terminal devsite-click-to-copy">
repo forall -pc 'git log --no-merges --oneline branch-1..branch-2'
</pre>

<p>For example:</p>

<pre class="devsite-terminal devsite-click-to-copy">
repo forall -pc 'git log --no-merges --oneline android-4.4.2_r2..android-4.4.2_r1'
</pre>

<p>To send the output to a text file:</p>

<pre class="devsite-terminal devsite-click-to-copy">
  repo forall -pc 'git log --no-merges --oneline android-4.4.2_r2..android-4.4.2_r1' > /tmp/android-4.4.2_r2-android-4.4.2_r1-diff.txt
</pre>

<h2 id="honeycomb-gpl-modules">Honeycomb GPL Modules</h2>

<p>For Honeycomb, the entire platform source code isn't available. However, the
parts of Honeycomb licensed under the GPL and LGPL are available under the
following tags:</p>

<table>
<thead>
<tr>
<th>Build</th>
<th>Tag</th>
<th>Notes</th>
</tr>
</thead>
<tbody>
<tr>
<td>HRI39</td>
<td>android-3.0_r1</td>
<td>earliest Honeycomb version</td>
</tr>
<tr>
<td>HRI66</td>
<td>android-3.0_r1.1</td>
<td></td>
</tr>
<tr>
<td>HWI69</td>
<td>android-3.0_r1.2</td>
<td></td>
</tr>
<tr>
<td>HRI83</td>
<td>android-3.0_r1.3</td>
<td></td>
</tr>
<tr>
<td>HMJ37</td>
<td>android-3.1_r1</td>
<td></td>
</tr>
<tr>
<td>HTJ85B</td>
<td>android-3.2_r1</td>
<td></td>
</tr>
<tr>
<td>HTK55D</td>
<td>android-3.2.1_r1</td>
<td></td>
</tr>
<tr>
<td>HTK75D</td>
<td>android-3.2.1_r2</td>
<td></td>
</tr>
<tr>
<td>HLK75C</td>
<td>android-3.2.2_r1</td>
<td></td>
</tr>
<tr>
<td>HLK75D</td>
<td>android-3.2.2_r2</td>
<td></td>
</tr>
<tr>
<td>HLK75F</td>
<td>android-3.2.4_r1</td>
<td></td>
</tr>
<tr>
<td>HLK75H</td>
<td>android-3.2.6_r1</td>
<td>latest Honeycomb version</td>
</tr>
</tbody>
</table>

<p>While no manifest contains exactly these modules, some manifests allow
  building those components. The following commands work for 3.0_r1.1:</p>

<pre class="devsite-click-to-copy">
<code class="devsite-terminal">repo init -b master -m base-for-3.0-gpl.xml</code>
<code class="devsite-terminal">repo sync</code>
<code class="devsite-terminal">repo forall -c git checkout android-3.0_r1.1</code>
</pre>

<p>To use another version, switch the <code>git checkout</code> parameter and
  (if necessary) the <code>-m</code> parameter in <code>repo   init</code>. The
  <code>git checkout</code> command outputs an error for the
  non-GPL projects, where it can't find the tag in question.</p>

  </body>
</html>
